Bug 2058 - Improving the custom package page during installation
Summary: Improving the custom package page during installation
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: i586 Linux
Priority: Normal enhancement
Target Milestone: ---
Assignee: Thierry Vignaud
QA Contact:
URL: https://forums.mageia.org/en/viewtopi...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-07 05:28 CEST by drthrd drthrd
Modified: 2019-04-06 12:27 CEST (History)
4 users (show)

See Also:
Source RPM: drakx-installer-stage2
CVE:
Status comment:


Attachments

Description drthrd drthrd 2011-07-07 05:28:26 CEST
The page where you can choose what packages you want installed or removed needs to redone. That page says nothing about installing or removing any kind of packages. On that page it needs to be redone so that everyone can clearly see and know that is where you can customize your packages. I will use Fedora as a example.

See how Fedora clearly shows that part of the installation is for choosing what packages you want installed or removed.

http://img845.imageshack.us/img845/5229/fedorapackageinstallati.png

On the page where you can customize your packages needs to be redone. The layout needs to be changed and descriptions should be added. The layout should be clean and neat, easy to read. I will use Fedora and SUSE as examples. See how Fedora and SUSE has descriptions for packages

Fedora

http://img833.imageshack.us/img833/1408/fedorapackagedescriptio.png

Suse

http://imageshack.us/photo/my-images/43/susepackagedescription.png/

In SUSE you have all kind of choices in how you view the packages. You can even search for packages in SUSE. I think SUSE could make theirs easier to read also though. But they have the descriptions and all the different view options. To me Fedora has the best layout for package selection. When you click on Optional packages they could do something to make that easier to read, maybe space them out and put the description under the package but they have the easiest to read package system with descriptions.

Mageia needs to make it clear what stage of installation is for customizing what software you want installed or removed. Mageia needs to come up with their own layout that is easy to read and shows the descriptions of the packages. Maybe a combination of the good points I pointed out in the Fedora and SUSE package installation.

Please look here https://forums.mageia.org/en/viewtopic.php?f=4&t=638 and scroll down to where I posted the screen shots. That will show and say about the same thing as I posted here.
Manuel Hiebel 2011-08-17 10:11:02 CEST

CC: (none) => mageia-artwork

Manuel Hiebel 2011-08-27 00:10:15 CEST

Source RPM: (none) => rpmdrake

Manuel Hiebel 2011-10-26 18:28:41 CEST

Component: Installer => RPM Packages

Comment 1 Wolfgang Bornath 2011-10-26 19:01:28 CEST
As written in the forum I do not see the necessity - it is already there. In a way it is the same as with Suse, just divided into 3 separate screens.

1. screen in installation lets you choose between standard KDE or Gnome installation or a "Custom" selection. This is the first step - the word "Custom" should be understandable (as with the translations).

2. (if you select "Custom") gives you a selection by groups (Internet, Multimedia, etc.). The link at the bottom says "Individual package selection" is as clear and understandable as the "Custom" link in the previous screen.

IMHO this series of 3 separate screens caters more to the requirements of the users. A novice user will possibly not be bothered by long lists of packages, so he is better off with a standard selection. The experienced or curious or adventurous user will dive into group or package selection.

But I support strongly the need for package descriptions in the "Individual packages selection"!

CC: (none) => molch.b

Comment 2 Manuel Hiebel 2011-11-12 21:40:15 CET
Set version to cauldron:
https://wiki.mageia.org/en/Triage_guide#Enhancement_requests

Version: 1 => Cauldron

Comment 3 Marja Van Waes 2012-01-04 21:55:22 CET
(In reply to comment #1)
> As written in the forum I do not see the necessity - it is already there. In a
> way it is the same as with Suse, just divided into 3 separate screens.
> 
> 1. screen in installation lets you choose between standard KDE or Gnome
> installation or a "Custom" selection. This is the first step - the word
> "Custom" should be understandable (as with the translations).
> 
> 2. (if you select "Custom") gives you a selection by groups (Internet,
> Multimedia, etc.). The link at the bottom says "Individual package selection"
> is as clear and understandable as the "Custom" link in the previous screen.
> 
> IMHO this series of 3 separate screens caters more to the requirements of the
> users. A novice user will possibly not be bothered by long lists of packages,
> so he is better off with a standard selection. The experienced or curious or
> adventurous user will dive into group or package selection.
> 
> But I support strongly the need for package descriptions in the "Individual
> packages selection"!

The last issue was, as you already discovered, addressed in bug 549.

Personally, I agree with Wolfgang, I really like the way it is done in Mageia. But maybe under the word "custom" a line "package selection" could be added to make it even more clear.

assigning to maintainer, so he can decide what to do with this request

Source RPM: rpmdrake => drakx-installer-stage2
CC: (none) => marja11
Assignee: bugsquad => thierry.vignaud

Comment 4 Marja Van Waes 2012-05-26 13:04:13 CEST
Hi,

This bug was filed against cauldron, but we do not have cauldron at the moment.

Please report whether this bug is still valid for Mageia 2.

Thanks :)

Cheers,
marja

Keywords: (none) => NEEDINFO

Manuel Hiebel 2012-06-17 01:23:31 CEST

Keywords: NEEDINFO => (none)

Nicolas Vigier 2013-04-09 12:02:38 CEST

CC: (none) => atelier-bugs

Nicolas Vigier 2013-04-09 12:04:22 CEST

CC: mageia-artwork => (none)

Comment 5 Lewis Smith 2019-04-06 12:27:08 CEST
Having perused the evidence in this bug and the the forum post, I think that this can be closed: the functionality requested exists. Comment 3 wraps it up.

Status: NEW => RESOLVED
Resolution: (none) => FIXED
CC: (none) => lewyssmith


Note You need to log in before you can comment on or make changes to this bug.